import send_request from '../utils/send_request';

/**
 * 获取进出记录列表
 * @returns
 */
export function getAccessLogList(params) {
    // 深拷贝一份，避免 删除 timestamp 时页面上的输入框也清空了
    // 但是 Date 类型的对象无法拷贝，所以还是获取深拷贝之间的
    let paramsCopy = JSON.parse(JSON.stringify(params))
    delete paramsCopy.timestamp
    if (Array.isArray(params.timestamp) && params.timestamp.length == 2) {
        paramsCopy.startTime = params.timestamp[0]?.getTime()
        paramsCopy.endTime = params.timestamp[1]?.getTime()
    }
    return send_request({
        url: '/access/access-log/manage/getAccessLogList',
        method: 'GET',
        params: paramsCopy,
    });
};

/**
 * 导出进出记录列表
 * @returns
 */
export function exportAccessLogList(params) {
    // 深拷贝一份，避免 删除 timestamp 时页面上的输入框也清空了
    // 但是 Date 类型的对象无法拷贝，所以还是获取深拷贝之间的
    let paramsCopy = JSON.parse(JSON.stringify(params))
    delete paramsCopy.timestamp
    if (Array.isArray(params.timestamp) && params.timestamp.length == 2) {
        paramsCopy.startTime = params.timestamp[0]?.getTime()
        paramsCopy.endTime = params.timestamp[1]?.getTime()
    }
    return send_request({
        url: '/access/access-log/manage/exportAccessLogList',
        method: 'GET',
        params: paramsCopy,
    });
};
